package com.biganto.visual.roompark.data.service.network

import android.app.Application
import android.content.Context
import android.net.ConnectivityManager
import javax.inject.Inject
import javax.inject.Singleton


/**
 * Created by Vladislav Bogdashkin on 12.10.2018.
 */
@Singleton
class LiveNetworkMonitor @Inject constructor(val context: Application) : INetworkMonitor {


    override val isConnected: Boolean
        get() {
            val cm = context.getSystemService(Context.CONNECTIVITY_SERVICE) as ConnectivityManager
            val activeNetwork = cm.activeNetworkInfo
            return activeNetwork != null && activeNetwork.isConnectedOrConnecting
        }


    override val isWifiConnected: Boolean
        get() {
            val cm = context.getSystemService(Context.CONNECTIVITY_SERVICE) as ConnectivityManager
            return cm.activeNetworkInfo != null
                    && (cm.activeNetworkInfo.type == ConnectivityManager.TYPE_WIFI);
        }
}

class NoNetworkException(override var message:String): Exception(message)
